Set billing address

POST/billing/v1/address

Create or update the organization's billing address

Authorization<token>

In: header

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_billing.billingAddressBody",
  "$ref-value": {
    "properties": {
      "city": {
        "type": "string"
      },
      "country": {
        "type": "string"
      },
      "email": {
        "type": "string"
      },
      "line1": {
        "type": "string"
      },
      "line2": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "phone": {
        "type": "string"
      },
      "postal_code": {
        "type": "string"
      },
      "state": {
        "type": "string"
      }
    },
    "type": "object"
  }
}

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/billingv1.BillingAddress",
  "$ref-value": {
    "properties": {
      "city": {
        "type": "string"
      },
      "country": {
        "type": "string"
      },
      "email": {
        "type": "string"
      },
      "line1": {
        "type": "string"
      },
      "line2": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "phone": {
        "type": "string"
      },
      "postal_code": {
        "type": "string"
      },
      "state": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/billing/v1/address" \
  -H "Content-Type: application/json" \
  -d '{}'

OK

application/json

{
  "$ref": "#/components/schemas/billingv1.BillingAddress",
  "$ref-value": {
    "properties": {
      "city": {
        "type": "string"
      },
      "country": {
        "type": "string"
      },
      "email": {
        "type": "string"
      },
      "line1": {
        "type": "string"
      },
      "line2": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "phone": {
        "type": "string"
      },
      "postal_code": {
        "type": "string"
      },
      "state": {
        "type": "string"
      }
    },
    "type": "object"
  }
}